## ros-indigo-baxter-moveit-config 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(baxter_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-baxter-moveit-config (1.0.7-0trusty) trusty; urgency=high

  * [enahancement] Add option not to launch db in baxter_moveit_config
  * Contributors: Kentaro Wada

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Tue, 15 Nov 2016 08:00:00 -0000

ros-indigo-baxter-moveit-config (1.0.6-0trusty) trusty; urgency=high

  * [fix] both_arm move group stopped functioning (ref <https://groups.google.com/a/rethinkrobotics.com/forum/#!topic/brr-users/59kLdsAfR-g>)
  * Contributors: Ian McMahon

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Tue, 19 Apr 2016 07:00:00 -0000

ros-indigo-baxter-moveit-config (1.0.5-0trusty) trusty; urgency=high

  * [fix] Update ompl_planning.yaml to set default planning config, which is supported on moveit 0.7 (moveit_ros/pull/625 <https://github.com/ros-planning/moveit_ros/pull/625>)
  * Contributors: Kei Okada

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 10 Feb 2016 08:00:00 -0000

ros-indigo-baxter-moveit-config (1.0.4-0trusty) trusty; urgency=high

  * Added Gripper construction Xacros for Baxter
    baxter.srdf.xacro is now the new "baxter.srdf" (the old one is
    left unchanged for backwards compatibility). The xacro creates the
    standard "no-gripper" Baxter srdf by default, but can enable new
    gripper collision checks if left or right_electric_gripper args are
    set to true. Also, the link used as the kinematic tip for each arm
    (<side>_tip_name) can be set at launch
    - Set the default tip name to be <side>_gripper
    - Now a default end effector sdf takes care of the default <side>_gripper
    collisions
    - Electric Gripper specific collisions use the correct finger link names
    - Fixed a move_group arg value in demo_baxter
    - Removed nefarious planning_context.launch call from move_group.launch
    which would overwrite all args from a previous move_group.launch call
  * Contributors: Ian McMahon

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Fri, 15 Jan 2016 08:00:00 -0000

ros-indigo-baxter-moveit-config (1.0.3-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 02 Nov 2015 08:00:00 -0000

ros-indigo-baxter-moveit-config (1.0.1-0trusty) trusty; urgency=high

  * Initial binary DEB release
  * Contributors: Kyle Maroney, Chris Smith, Ian McMahon, Isaac IY Saito, Kei Okada

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sat, 19 Sep 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-baxter-moveit-config
Section: misc
Priority: extra
Maintainer: MoveIt Setup Assistant <assistant@moveit.ros.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-baxter-description, ros-indigo-catkin
Homepage: http://sdk.rethinkrobotics.com/wiki/MoveIt_Tutorial
Standards-Version: 3.9.2

Package: ros-indigo-baxter-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-baxter-description, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-simple-controller-manager
Description: An automatically generated package with all the configuration and launch files for using the baxter with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-baxter-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
